# $Revision: 1.27.2.1 $, $Date: 2003/03/13 00:56:38 $
%include	/usr/lib/rpm/macros.perl
Summary:	AcePerl perl module
Summary(pl):	Modu perla AcePerl
Name:		perl-AcePerl
Version:	1.83
Release:	3
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Ace/AcePerl-%{version}.tar.gz
Patch0:		%{name}-defaults.patch
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Digest-MD5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AcePerl provides an interface to the ACEDB object-oriented database.

%description -l pl
AcePerl umoliwia dostp do obiektowej bazy danych ACEDB.

%package -n perl-AceBrowser
Summary:	AceBrowser perl module
Summary(pl):	Modu perla AceBrowser
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	apache

%description -n perl-AceBrowser

%description -n perl-AceBrowser -l pl

%prep
%setup -q -n AcePerl-%{version}
%patch -p0

%build
# Makefile.PL does not read from non-terminal stdin
%{__perl} Makefile.PL < /dev/null
%{__make} OPTIMIZE="%{rpmcflags}" \
	COMPILER="%{__cc} -DACEDB4 %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/httpd,/home/httpd/{cgi-bin,html}}/ace

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README DISCLAIMER.txt
%{perl_sitearch}/Ace.pm
%dir %{perl_sitearch}/Ace
%{perl_sitearch}/Ace/[^B]*
%{perl_sitearch}/GFF
%{perl_sitearch}/auto/Ace
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/Ace.3pm*
%{_mandir}/man3/Ace::[^B]*

%files -n perl-AceBrowser
%defattr(644,root,root,755)
%doc README.ACEBROWSER
%dir %{_sysconfdir}/httpd/ace
%dir /home/httpd/cgi-bin/ace
%dir /home/httpd/html/ace
%{perl_sitearch}/Ace/Browser
%{_mandir}/man3/Ace::B*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-AcePerl.spec,v $
Revision 1.27.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.27  2003/02/25 00:35:47  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:25:34  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/07/15 00:58:06  ankry
- separate AceBrowser (requires: apache)
- added patch for default configuration (Makefile.PL does nor read from
  stdin)
- release 2

Revision 1.24  2002/07/11 09:46:06  qboosh
- new %%doc

Revision 1.23  2002/07/11 07:56:53  depesz
- new version; should work; STBR

Revision 1.22  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/24 23:26:34  kloczek
- release 5.

Revision 1.20  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/10 15:24:04  depesz
adapterized

Revision 1.18  2002/01/18 02:14:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.16  2001/04/17 12:04:58  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/27 14:00:44  kloczek
- release 3: more rpm macros.

Revision 1.12  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.11  2000/11/27 06:24:28  kloczek
- release 2: rebuild against perl 5.6.

Revision 1.10  2000/11/20 00:42:52  kloczek
- pdated to 1.67 and added using new rpm automation.

Revision 1.9  2000/08/16 18:12:54  kloczek
- corrected %files list.

Revision 1.8  2000/08/16 16:12:43  kloczek
- updated to 1.64.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:07  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 13:36:54  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/01 21:51:11  pius
- initial release

